Java Update breaks cobrowse

Here is a message from OCLC:
*****
There is a technical issue with the new Sun Java Runtime Environment (JRE) version 6 (also known as JRE1.6.x) that will prevent you from successfully establishing a connection to the cobrowse server.
If you have Sun Java JRE 1.6 already installed, please uninstall it immediately following these steps:
1. Click on Start
2. Click on Control Panel
3. Click on Add/Remove Programs
4. Highlight by clicking on the entry for Java(tm) SE Runtime Environment 6 Update 1
5. Click Remove
6. Restart your computer
If you do not have Sun Java JRE 1.6 installed, do not install it if prompted.
Note that you can use J2SE Runtime Environment 5.0 (also known as JRE 1.5.x) or the Microsoft Java Virtual Machine as alternatives.
If you have uninstalled the Sun JRE 1.5.x, it can be downloaded from
http://java.sun.com/javase/downloads/index_jdk5.jsp with the install directions located at
http://java.sun.com/j2se/1.5.0/jre/install.html
DO NOT USE the link to download Sun Java from your "My QuestionPoint" page.
If you have any questions about this issue, please contact Support @ support@oclc.org.
*****
Thought I'd pass that on...
-Niki